APICoding agent
Send a follow-up to a coding agent run
Send more instructions to a run that is still working.
POST
/coding-agent/runs/{id}/follow-upcurl -X POST "https://productlane.com/api/v2/coding-agent/runs/{id}/follow-up" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "string"
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Parameters
idstringpathrequired
Body
application/json
promptstringrequired
Response
application/json
Successful response
idstringrequiredstatusstringrequiredPENDING, RUNNING, COMPLETED, FAILED, or STOPPED.
status_changed_atstringrequiredissue_idstring | nullrequiredrepositorystringrequiredbranch_namestring | nullrequiredpr_urlstring | nullrequiredsummarystring | nullrequirederror_messagestring | nullrequiredtrigger_sourcestringrequiredproviderstringrequiredcreated_atstringrequiredupdated_atstringrequired
{
"id": "string",
"status": "string",
"status_changed_at": "string",
"issue_id": "string",
"repository": "string",
"branch_name": "string",
"pr_url": "string",
"summary": "string",
"error_message": "string",
"trigger_source": "string",
"provider": "string",
"created_at": "string",
"updated_at": "string"
}